datacache <- new.env(hash=TRUE, parent=emptyenv())

tilingchromosome212220rhsrefseq <- function() showQCData("tilingchromosome212220rhsrefseq", datacache)
tilingchromosome212220rhsrefseq_dbconn <- function() dbconn(datacache)
tilingchromosome212220rhsrefseq_dbfile <- function() dbfile(datacache)
tilingchromosome212220rhsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilingchromosome212220rhsrefseq_dbInfo <- function() dbInfo(datacache)

tilingchromosome212220rhsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilingchromosome212220rhsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "tilingchromosome212220rhsrefseq", "chip tilingchromosome212220rhsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilingchromosome212220rhsrefseq_dbconn())
}

